/*****************************************************************************\
 *
 * shadows_win.h
 *
 * Algorithm for shadows ganeration in a scene
 * 
 *  Description: Main application settings
 *
 *      Authors: Tom Burian (xburia10 _AT stud.fit.vutbr.cz)
 *               
 *    Thanks to: PCJohn (peciva _AT fit.vutbr.cz)
 * 
 * Contributors:
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/

#ifndef _SHADOWS_H_
#define _SHADOWS_H_

#ifndef DODEBUG
#define DODEBUG 0
#endif 
#if DODEBUG
#define ONDEBUG(x) x
#else
#define ONDEBUG(x)
#endif 

#define SURFACE_SIZE2 50
#define SURFACE_DEPTH -50

#define APPNAME "Shadow Volumes"
#define VERSION "v0.7.0"


#endif 